import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    id: mparent
    height: tools.height
    width: units.gu(50)

    signal keyPressed (int key, int mod)
    property color buttonColor: "white"
    property real btn_width: width/6 - units.gu(1)

    onKeyPressed: {
        console.log("Key code: " + key)
    }


    Column {
        id: tools
        spacing: units.gu(0.5)

        Row {
            spacing: units.gu(1)

            Button {
                Label {text: "F1"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F1, Qt.NoModifier)
            }

            Button {
                Label {text: "F2"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F2, Qt.NoModifier)
            }

            Button {
                Label {text: "F3"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F3, Qt.NoModifier)
            }

            Button {
                Label {text: "F4"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F4, Qt.NoModifier)
            }

            Button {
                Label {text: "F5"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F5, Qt.NoModifier)
            }

            Button {
                Label {text: "F6"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F6, Qt.NoModifier)
            }
        }

        Row {
            spacing: units.gu(1)

            Button {
                Label {text: "F7"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F7, Qt.NoModifier)
            }

            Button {
                Label {text: "F8"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F8, Qt.NoModifier)
            }

            Button {
                Label {text: "F9"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F9, Qt.NoModifier)
            }

            Button {
                Label {text: "F10"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F10, Qt.NoModifier)
            }

            Button {
                Label {text: "F11"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F11, Qt.NoModifier)
            }

            Button {
                Label {text: "F12"; color: buttonColor; anchors.centerIn: parent; fontSize: "medium"}
                width: btn_width
                onClicked: keyPressed(Qt.Key_F12, Qt.NoModifier)
            }
        }
    }
}
